aboutsummaryrefslogtreecommitdiffstats
path: root/hyperterm/core/autocomplete.sh
diff options
context:
space:
mode:
authorJesús <heckyel@hyperbola.info>2021-02-10 13:52:52 -0500
committerJesús <heckyel@hyperbola.info>2021-02-10 13:52:52 -0500
commit7e95c3b667a1b353f8275db886203f272bfcce34 (patch)
treeaefe3b7db69ac78b83b79a70cf43401679812d20 /hyperterm/core/autocomplete.sh
downloadhyperterm-7e95c3b667a1b353f8275db886203f272bfcce34.tar.lz
hyperterm-7e95c3b667a1b353f8275db886203f272bfcce34.tar.xz
hyperterm-7e95c3b667a1b353f8275db886203f272bfcce34.zip
first commit
Diffstat (limited to 'hyperterm/core/autocomplete.sh')
-rw-r--r--hyperterm/core/autocomplete.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/hyperterm/core/autocomplete.sh b/hyperterm/core/autocomplete.sh
new file mode 100644
index 0000000..90edb85
--- /dev/null
+++ b/hyperterm/core/autocomplete.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# shellcheck disable=SC1091
+# bash completion on Hyperbola: pacman -S bash-completion
+if ! shopt -oq posix; then
+ if [ -f /usr/share/bash-completion/bash_completion ]; then
+ . /usr/share/bash-completion/bash_completion
+ elif [ -f /etc/bash_completion ]; then
+ . /etc/bash_completion
+ fi
+fi
+
+# Autocompletado
+complete -cf sudo
+
+shopt -s cdspell
+shopt -s checkwinsize
+shopt -s cmdhist
+shopt -s dotglob
+shopt -s expand_aliases
+shopt -s extglob
+shopt -s histappend
+shopt -s hostcomplete